Skip to main content
GET
/
user
/
statement
Get Account Statement
const options = {method: 'GET'};

fetch('https://gp-auth-module.prod.gnosispay.com/user/statement', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "type": "card_transaction",
      "id": "<string>",
      "status": "pending",
      "amount": "<string>",
      "currency": "<string>",
      "decimals": 123,
      "originalAmount": "<string>",
      "originalCurrency": "<string>",
      "originalDecimals": 123,
      "isCredit": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "authorizationId": 123,
      "mcc": "<string>",
      "authorizationCode": "<string>",
      "merchant": {
        "name": "<string>",
        "city": "<string>",
        "country": "<string>",
        "categoryCode": "<string>"
      },
      "entryMode": "<string>",
      "country": {
        "name": "<string>",
        "postalCode": "<string>",
        "numeric": "<string>",
        "alpha2": "<string>",
        "alpha3": "<string>"
      },
      "billing": {
        "billingAmount": "<string>",
        "billingCurrency": {
          "symbol": "<string>",
          "code": "<string>",
          "decimals": 123,
          "name": "<string>"
        }
      },
      "transactionCurrency": {
        "symbol": "<string>",
        "code": "<string>",
        "decimals": 123,
        "name": "<string>"
      },
      "cardToken": "<string>",
      "clearedAt": "2023-11-07T05:31:56Z",
      "isPending": true,
      "kind": "Payment",
      "transactionType": "<string>",
      "transactions": [
        {
          "status": "<string>",
          "to": "<string>",
          "value": "<string>",
          "data": "<string>",
          "hash": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasNext": true
  }
}

Query Parameters

limit
integer
Required range: 1 <= x <= 100
cursor
string
startDate
string<date-time>
endDate
string<date-time>

Response

Statement retrieved successfully

data
object[]
required
pagination
object
required